Bug 1694295 - Review Request: gwe - System utility designed to provide information of NVIDIA card
Summary: Review Request: gwe - System utility designed to provide information of NVIDI...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vitaly Zaitsev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-30 08:31 UTC by Artem
Modified: 2020-02-15 02:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-15 02:17:28 UTC
Type: ---
vitaly: fedora-review+


Attachments (Terms of Use)

Description Artem 2019-03-30 08:31:43 UTC
Spec URL: https://atim.fedorapeople.org/for-review/gwe.spec
SRPM URL: https://atim.fedorapeople.org/for-review/gwe-0.12.3-6.fc30.src.rpm

Description: GWE is a GTK system utility designed to provide information, control the fans and overclock your NVIDIA video card and graphics processor.

Fedora Account System Username: atim

---

This app in Popular Apps on flathub.

But this blocking issue for now https://gitlab.com/leinardi/gwe/issues/52

Should we just wait when PR will be merged or can do something in this case to include this package in official Fedora repos?

Working COPR: https://copr.fedorainfracloud.org/coprs/atim/gwe/

Comment 1 Robert-André Mauchin 2019-04-01 19:56:29 UTC
 - Never add this to your SPEC unless good reasons:

%global debug_package %{nil}

 - Please use the package name instead

BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils

 - I find it curious that you depend on these libraries for the build process, and not the devel ones:

BuildRequires:  libdazzle
BuildRequires:  libnotify

Have you tried removing these BR? Should they not be RR only?

I'd wait for the PR. Packaging with bundled xlib is not okay.

Comment 2 Robert-André Mauchin 2019-04-01 20:01:20 UTC
Also package should probably be noarch.

Comment 3 Artem 2019-04-01 21:35:33 UTC
You right, this BR packages not needed.

Spec URL: https://atim.fedorapeople.org/for-review/gwe.spec
SRPM URL: https://atim.fedorapeople.org/for-review/gwe-0.12.3-7.fc30.src.rpm

So now waiting for PR merge... ⏳

Comment 4 Raphael Groner 2020-01-07 18:56:16 UTC
Are you interested in a review swap? Please take a look into bug #1788327 or bug #1788270.

Comment 5 Robert-André Mauchin 2020-01-07 23:19:46 UTC
(In reply to Artem from comment #3)
> You right, this BR packages not needed.
> 
> Spec URL: https://atim.fedorapeople.org/for-review/gwe.spec
> SRPM URL: https://atim.fedorapeople.org/for-review/gwe-0.12.3-7.fc30.src.rpm
> 
> So now waiting for PR merge... ⏳

python-xlib has a new release, could you bring it to Fedora and unbundle?

Comment 6 Artem 2020-01-08 18:44:00 UTC
(In reply to Robert-André Mauchin from comment #5)
> (In reply to Artem from comment #3)
> > You right, this BR packages not needed.
> > 
> > Spec URL: https://atim.fedorapeople.org/for-review/gwe.spec
> > SRPM URL: https://atim.fedorapeople.org/for-review/gwe-0.12.3-7.fc30.src.rpm
> > 
> > So now waiting for PR merge... ⏳
> 
> python-xlib has a new release, could you bring it to Fedora and unbundle?

Yeah, i seen you pinged upstream about it. I'll try to build new python-xlib and send PR to src.fedoraproject.org.

Comment 7 Artem 2020-01-08 19:12:15 UTC
python-xlib PR: Update to 0.26 
https://src.fedoraproject.org/rpms/python-xlib/pull-request/1

Comment 10 Vitaly Zaitsev 2020-02-13 15:08:05 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/dbus-1/services,
     /usr/share/dbus-1
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.8/site-
     packages/gwe(defaulting, C, to, Failed, set, locale,),
     /usr/lib/python3.8/site-packages/gwe/Xlib(defaulting, C, to, Failed,
     set, locale,), /usr/lib/python3.8/site-
     packages/gwe/__pycache__(defaulting, C, to, Failed, set, locale,),
     /usr/lib/python3.8/site-packages/gwe/presenter(defaulting, C, to,
     Failed, set, locale,), /usr/lib/python3.8/site-
     packages/gwe/presenter/__pycache__(defaulting, C, to, Failed, set,
     locale,), /usr/lib/python3.8/site-packages/gwe/util(defaulting, C, to,
     Failed, set, locale,), /usr/lib/python3.8/site-
     packages/gwe/util/__pycache__(defaulting, C, to, Failed, set,
     locale,), /usr/lib/python3.8/site-
     packages/gwe/util/desktop(defaulting, C, to, Failed, set, locale,),
     /usr/lib/python3.8/site-
     packages/gwe/util/desktop/__pycache__(defaulting, C, to, Failed, set,
     locale,), /usr/lib/python3.8/site-packages/gwe/view(defaulting, C, to,
     Failed, set, locale,), /usr/lib/python3.8/site-
     packages/gwe/view/__pycache__(defaulting, C, to, Failed, set,
     locale,), /usr/share/doc/gwe(defaulting, C, to, Failed, set, locale,),
     /usr/share/gwe(defaulting, C, to, Failed, set, locale,),
     /usr/share/licenses/gwe(defaulting, C, to, Failed, set, locale,)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gwe-0.13.3-5.fc32.noarch.rpm
          gwe-0.13.3-5.fc32.src.rpm
gwe.noarch: W: spelling-error %description -l en_US xdg -> bldg
gwe.noarch: W: spelling-error %description -l en_US md -> MD, Md, ms
gwe.noarch: W: no-manual-page-for-binary gwe
gwe.src: W: spelling-error %description -l en_US xdg -> bldg
gwe.src: W: spelling-error %description -l en_US usr -> use, us, user
gwe.src: W: spelling-error %description -l en_US md -> MD, Md, ms
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
gwe.noarch: W: spelling-error %description -l en_US xdg -> bldg
gwe.noarch: W: spelling-error %description -l en_US md -> MD, Md, ms
gwe.noarch: W: invalid-url URL: https://gitlab.com/leinardi/gwe <urlopen error [Errno -2] Name or service not known>
gwe.noarch: W: no-manual-page-for-binary gwe
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
https://gitlab.com/leinardi/gwe/-/archive/0.13.3/gwe-0.13.3.tar.gz :
  CHECKSUM(SHA256) this package     : 3c61776f0a2fe3335a4c865c690b59f813e46bb28bc2ecf5b1afd687c3df5815
  CHECKSUM(SHA256) upstream package : 3c61776f0a2fe3335a4c865c690b59f813e46bb28bc2ecf5b1afd687c3df5815


Requires
--------
gwe (rpmlib, GLIBC filtered):
    /usr/bin/python3
    hicolor-icon-theme
    python(abi)
    python3-gobject
    python3-injector
    python3-matplotlib-gtk3
    python3-peewee
    python3-py3nvml
    python3-pyxdg
    python3-requests
    python3-rx
    python3-xlib



Provides
--------
gwe:
    application()
    application(com.leinardi.gwe.desktop)
    gwe
    metainfo()
    metainfo(com.leinardi.gwe.appdata.xml)



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1694295
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, Python
Disabled plugins: Java, Haskell, SugarActivity, fonts, C/C++, Perl, PHP, Ocaml, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 11 Vitaly Zaitsev 2020-02-13 15:10:59 UTC
> Directories without known owners: /usr/share/dbus-1/services

Requires: dbus-common

This minor issue can be fixed during importing to SCM. Package approved.

Comment 12 Igor Gnatenko 2020-02-14 06:17:51 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gwe

Comment 13 Fedora Update System 2020-02-14 10:07:19 UTC
FEDORA-2020-e224e7e7e2 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e224e7e7e2

Comment 14 Fedora Update System 2020-02-15 02:17:28 UTC
gwe-0.13.3-6.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.